Account delete button showing when register allowed is off

Bug #1480038 reported by Robert Lyon on 2015-07-31
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Robert Lyon
1.9
High
Robert Lyon
15.04
High
Robert Lyon
15.10
Undecided
Unassigned

Bug Description

To test:

Have only one default institution and make sure register allowed is turned off

Add some users

Log in as a user and go to setting page - you will see a 'delete account' button when you shouldn't

Robert Lyon (robertl-9) on 2015-07-31
Changed in mahara:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 15.10.0
Robert Lyon (robertl-9) wrote :

Have made this a high bug as users being able to delete themselves when the shouldn't will cause problems not just with user but group data as well

Reviewed: https://reviews.mahara.org/5027
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/5cec3fb4539b5d2514cd6f63883ae0d086340e5d
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 5cec3fb4539b5d2514cd6f63883ae0d086340e5d
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 15:26:53 2015 +1200

Delete button on User's Settings page for 'no institution'

Bug 1480038 - When the registerallowed is turned off - this is wrong

Change-Id: Ib511a1c372a15cddd9fd7329cfa93cc72dac412f
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-08-02
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5030

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/5031

Reviewed: https://reviews.mahara.org/5031
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/78d542919d3735ea462251f5641ae0d5311918c7
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 78d542919d3735ea462251f5641ae0d5311918c7
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 15:26:53 2015 +1200

Delete button on User's Settings page for 'no institution'

Bug 1480038 - When the registerallowed is turned off - this is wrong

Change-Id: Ib511a1c372a15cddd9fd7329cfa93cc72dac412f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5030
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/22b9ed307f313d08b5e3481b0a2da6323dd6b6db
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 22b9ed307f313d08b5e3481b0a2da6323dd6b6db
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 15:26:53 2015 +1200

Delete button on User's Settings page for 'no institution'

Bug 1480038 - When the registerallowed is turned off - this is wrong

Change-Id: Ib511a1c372a15cddd9fd7329cfa93cc72dac412f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5029
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/33bc76c5a2d5aab2afc8435c0684c863e00ac2d7
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 33bc76c5a2d5aab2afc8435c0684c863e00ac2d7
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 15:26:53 2015 +1200

Delete button on User's Settings page for 'no institution'

Bug 1480038 - When the registerallowed is turned off - this is wrong

Change-Id: Ib511a1c372a15cddd9fd7329cfa93cc72dac412f
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers